#!/bin/sh
git clean -dxf
# If you can use ccache, add -Dcc=ccache\ gcc -Dld=gcc to the Configure line
- sh Configure -des -Dusedevel -Doptimize="-g" || exit 125
- make || exit 125
+ sh Configure -des -Dusedevel -Doptimize="-g"
+ test -f config.sh || exit 125
+ # Correct makefile for newer GNU gcc
+ perl -ni -we 'print unless /<(?:built-in|command)/' makefile x2p/makefile
+ # if you just need miniperl, replace test_prep with miniperl
+ make -j4 test_prep
+ -x ./perl || exit 125
./perl -Ilib ~/testcase.pl
+ ret=$?
+ git clean -dxf
+ exit $ret
This script may return C<125> to indicate that the corresponding commit
should be skipped. Otherwise, it returns the status of